Subject: Re: bug#52477: 27.1; .crx and .crx3 are zip files

From: Michael Albinus <[email-masked]>
Date: Fri, 24 Dec 2021 14:51:30 +0100

"Trent W. Buck" <[email-masked]> writes:

Hi Trent,

> It seems to me that:
>
>   1. when given a file in pyz/crx/crx format,
>      libarchive will auto-detect and use zip format.
>
>      I think it just finds the zip archive at an offset, and
>      leaves content before that offset alone.
>
>      This would allow it to read/extract/edit existing pyz/crx/crx3,
>      but not create a new one.
>
>      This is also true for libarchive bsdtar and Info-ZIP unzip,
>      although the latter emits a warning about the offset.
>
>   2. when given a file in pyz/crx/crx format,
>      emacs arc-mode will not auto-detect zip format.
>
>   3. when given a file in pyz/crx/crx3 format,
>      file-roller & nautilus will not auto-detect any format.

Well, I don't know how in detail nautilus/file-roller have integrated
libarchive. I believe they use the GVFS mount backend which calls
libarchive, but I don't know it for sure. So we agree that a native
libarchive integration in Emacs is preferred.

Best regards, Michael.